MetaCPAN::Client::Scroll(3pm)

NAME
MetaCPAN::Client::Scroll - A MetaCPAN::Client scroller

VERSION
version 2.038000

METHODS

  next
get next matched document.

  BUILDARGS

  DEMOLISH

ATTRIBUTES

  aggregations
The returned aggregations structure from agg requests.

  base_url
The base URL for sending server requests.

  body
The request body.

  size
The number of docs to pull from each shard per request.

  time
The lifetime of the scroller on the server.

  total
The total number of matches.

  type
The Elasticsearch type to query.

  ua
The user agent object for running requests.

AUTHORS

•   Sawyer X <xsawyerx@cpan.org>

•   Mickey Nasriachi <mickey@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Sawyer X.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.